build:gcc8-seq-coverage:
  image: localhost:5000/ubuntu_gcc8
  stage: coverage
  script:
    - mkdir -p build/gcc8-seq-covrage
    - cd build/gcc8-seq-covrage
    - CXX=g++-8 CC=gcc-8 cmake ../.. -DCMAKE_BUILD_TYPE=Coverage
    - make coverage
  cache:
    key: "${CI_COMMIT_REF_SLUG}-gcc8-seq-coverage"
    paths:
      - build/gcc8-seq-covrage
    untracked: true
